Bug 16291 - perl-5.00503-11.i386.rpm does not provide perl?
perl-5.00503-11.i386.rpm does not provide perl?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-15 16:36 EDT by Jan Carlson
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-15 23:09:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Carlson 2000-08-15 16:36:21 EDT
When the recent update rpm perl-5.00503-11.i386.rpm is included
in a revised RH6.2 cd, replacing the original perl rpm in the
RedHat/RPMS directory, the following message appears during
installation from the CD right after package selection in a Custom install:

     Unsatisfied dependencies: 
     perl no suggestion

If I ignore the error and continue, the installation is successful.

A new hdlist was generated using genhdlist of course.

When the original perl rpm is put back and genhdlist
is run again, the error goes away.

The perl update rpm does not seem to be compatible
with the existing installer - is this a fault of the perl
rpm, or the installer?

If its an installer problem,  what on the CD needs to be 
changed/replaced so perl can install without the false error?
Comment 1 Bill Nottingham 2000-08-15 17:15:04 EDT
This is saying that *perl* requires something that
isn't in the installation set. Most likely the
new RPM.
Comment 2 Jan Carlson 2000-08-15 17:43:27 EDT
I did check that: the new perl-5.00503-11.i386.rpm is definitely in the
installation set:
   . New perl is in RedHat/RPMS; replacing old perl
   . RedHat/base/hdlist is updated by genhdlist
   . Default installation set - Custom install, which includes perl.

It still does not recognize perl, and says "perl no suggestion".

After the install completes I boot into the new system:

# rpm -q perl
perl-5.00503-11     [The new perl.]
Comment 3 Jan Carlson 2000-08-15 23:09:14 EDT
The updated versions of both perl and rpm itself, were in: 
. the installation set
. the RedHat/RPMS directory 
. the updated RedHat/base/hdlist



Comment 4 Nalin Dahyabhai 2000-08-16 18:29:06 EDT
Running "rpm -qpR" on both the 6.2 and errata releases shows that they have the
same set of dependencies.  I suspect you're seeing an artifact of the installer
not having been built with RPM 3.0.5.
Comment 5 Nalin Dahyabhai 2000-08-16 18:30:10 EDT
Whoops, the packages don't have the same dependencies.  The new one includes a
dependency which shows that it needs to be installed by the new version of RPM.

Note You need to log in before you can comment on or make changes to this bug.